Bug 197888 - iscsi initiator startup script does not create lock file in /var/lock/subsys
iscsi initiator startup script does not create lock file in /var/lock/subsys
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-06 17:28 EDT by Randy Zagar
Modified: 2012-06-26 12:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:04:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Zagar 2006-07-06 17:28:56 EDT
Description of problem:
iscsi initiator startup script fails to create lock file /var/lock/subsys/iscsi

Version-Release number of selected component (if applicable):
5.0.5.476-0.1

How reproducible:
always

Steps to Reproduce:
1. configure iscsi devices
2. start iscsi services
3. perform system shutdown
  
Actual results:
You will not see iscsi services being shut down...

Expected results:
You should see iscsi services being shut down...


Additional info:

Since iscsi services have not been shut down, /sys/block still lists iscsi
sd[a-z] devices even after networking has been turned off.  System shutdown
never completes because it's not possible to "Synchronize SCSI cache for
sd[a-z]" after the network has gone away...

Adding "touch /var/lock/subsys/iscsi" in the start() function fixes this problem
Comment 1 Fedora Update System 2006-10-24 15:33:12 EDT
iscsi-initiator-utils-5.2.0.711-0.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Bug Zapper 2008-04-03 23:14:17 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:04:54 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.